Author: Andreas Tille <tille@debian.org>
Last-Update: Wed, 13 Mar 2024 11:41:42 +0100
Description: Adapt filter name to a value available in PIL10

--- a/lib/mpl_toolkits/basemap/__init__.py
+++ b/lib/mpl_toolkits/basemap/__init__.py
@@ -4084,7 +4084,7 @@ class Basemap(object):
                 w, h = pilImage.size
                 width = int(np.round(w*scale))
                 height = int(np.round(h*scale))
-                pilImage = pilImage.resize((width,height),Image.ANTIALIAS)
+                pilImage = pilImage.resize((width,height),Image.LANCZOS)
             if _matplotlib_version >= '1.2':
                 # orientation of arrays returned by pil_to_array
                 # changed (https://github.com/matplotlib/matplotlib/pull/616)
